---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs204t002.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FAD0, symBinAddr: 0x6210, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51A10, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51E00, symBinAddr: 0x8540, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52DA0, symBinAddr: 0x94E0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52DB0, symBinAddr: 0x94F0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F760, symBinAddr: 0x60E0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F764, symBinAddr: 0x60E4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F768, symBinAddr: 0x60E8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F8B0, symBinAddr: 0x60F0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F968, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F96C, symBinAddr: 0x61AC, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F970, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F974, symBinAddr: 0x61B4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F978, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F980, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F998, symBinAddr: 0x61D8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F9A0, symBinAddr: 0x61E0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F9A8, symBinAddr: 0x61E8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F9B0, symBinAddr: 0x61F0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F9B8, symBinAddr: 0x61F8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FA00, symBinAddr: 0x6200, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xA00, symSize: 0x80 }
  - { offsetInCU: 0x91BB, offset: 0x91BB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x950, symSize: 0xB0 }
  - { offsetInCU: 0x9216, offset: 0x9216, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x850, symSize: 0x100 }
  - { offsetInCU: 0x94A9, offset: 0x94A9, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xA80, symSize: 0xC0 }
  - { offsetInCU: 0x94FB, offset: 0x94FB, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xB40, symSize: 0x220 }
  - { offsetInCU: 0x96E0, offset: 0x96E0, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xD60, symSize: 0xA0 }
  - { offsetInCU: 0x9793, offset: 0x9793, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xE00, symSize: 0x110 }
  - { offsetInCU: 0x9889, offset: 0x9889, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xF10, symSize: 0x150 }
  - { offsetInCU: 0x99BA, offset: 0x99BA, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1060, symSize: 0x30 }
  - { offsetInCU: 0x9A7B, offset: 0x9A7B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1090, symSize: 0x150 }
  - { offsetInCU: 0x9C73, offset: 0x9C73, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x11E0, symSize: 0x160 }
  - { offsetInCU: 0x9F33, offset: 0x9F33, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1340, symSize: 0x4A0 }
  - { offsetInCU: 0xA1CC, offset: 0xA1CC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x17E0, symSize: 0x1B0 }
  - { offsetInCU: 0xA3E7, offset: 0xA3E7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1990, symSize: 0xA0 }
  - { offsetInCU: 0xA50E, offset: 0xA50E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2BC0, symBinAddr: 0x1A30, symSize: 0x2D0 }
  - { offsetInCU: 0xA7F0, offset: 0xA7F0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1D00, symSize: 0x20 }
  - { offsetInCU: 0xA827, offset: 0xA827, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1D20, symSize: 0x20 }
  - { offsetInCU: 0xA85E, offset: 0xA85E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1D40, symSize: 0x20 }
  - { offsetInCU: 0xA9CD, offset: 0xA9CD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1D60, symSize: 0x1A0 }
  - { offsetInCU: 0xACEB, offset: 0xACEB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1F00, symSize: 0x80 }
  - { offsetInCU: 0xADB4, offset: 0xADB4, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1F80, symSize: 0x6C0 }
  - { offsetInCU: 0xB92A, offset: 0xB92A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA0B0, symBinAddr: 0x30F0, symSize: 0xB0 }
  - { offsetInCU: 0xB9A1, offset: 0xB9A1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2640, symSize: 0x70 }
  - { offsetInCU: 0xBAC1, offset: 0xBAC1, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x26B0, symSize: 0xA0 }
  - { offsetInCU: 0xBBCC, offset: 0xBBCC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2750, symSize: 0x40 }
  - { offsetInCU: 0xBCC2, offset: 0xBCC2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2790, symSize: 0x2B0 }
  - { offsetInCU: 0xC068, offset: 0xC068, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2A40, symSize: 0xC0 }
  - { offsetInCU: 0xC1AE, offset: 0xC1AE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2B00, symSize: 0x10 }
  - { offsetInCU: 0xC270, offset: 0xC270, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2B10, symSize: 0x240 }
  - { offsetInCU: 0xC559, offset: 0xC559, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2D50, symSize: 0x10 }
  - { offsetInCU: 0xC5B6, offset: 0xC5B6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2D60, symSize: 0x160 }
  - { offsetInCU: 0xC872, offset: 0xC872, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E80, symBinAddr: 0x2EC0, symSize: 0x10 }
  - { offsetInCU: 0xC907, offset: 0xC907, size: 0x8, addend: 0x0, symName: _callbackClassPrepare, symObjAddr: 0x9E90, symBinAddr: 0x2ED0, symSize: 0x150 }
  - { offsetInCU: 0xCB7F, offset: 0xCB7F, size: 0x8, addend: 0x0, symName: _callbackBreakpoint, symObjAddr: 0x9FE0, symBinAddr: 0x3020, symSize: 0xD0 }
  - { offsetInCU: 0xCC86, offset: 0xCC86, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA160, symBinAddr: 0x31A0, symSize: 0x36A }
...
